Agent-readable docs index: /docs/llms.txt. Full docs in one file: /docs/llms-full.txt. Download /docs/docs.zip to grep all markdown files locally.

List runs

/v1/runsGET
Authorization
bearer *Bearer <token>
API key of the form orsel_<id>.<secret>, sent as Authorization: Bearer. Scopes: find, read, act:read, act:write, act:sensitive, admin. Clients read it from ORSEL_KEY.
Query Parameters
limit?integer
Default: 50Min: 1Max: 200
cursor?string
Min length: 1Max length: 512
status?string
Response
200 · Success
items *object[]
Show item properties
id *string
domain *string
Pattern: ^(?=.{1,253}$)([a-z0-9]([a-z0-9-]{0,61}[a-z0-9])?\.)+[a-z]{2,63}$
actionId *string
Pattern: ^[a-z][a-z0-9_.-]{1,63}$
status *"queued" | "running" | "awaiting_approval" | "needs_human" | "succeeded" | "failed" | "denied" | "canceled"
risk *"read" | "write" | "sensitive" | "irreversible" | "financial"
runtime *"hosted" | "client" | "local"
tierUsed *"api" | "webmcp" | "replay" | "dom" | "agent" | null
recipeHash *string | null
decision *object | null
Show options
Any of:
Option 1
effect *"allow" | "deny" | "require_approval"
ruleId *string
reason *string
matched *string[]
Option 2
Type: null
approvalId *stringnull
output *object | null
postconditions *object[]
Show item properties
condition *object | object | object | object | object | object | object | object
Show options
One of:
Option 1
kind *"status_in"
statuses *integer[]
Min items: 1
Option 2
kind *"field_present"
path *string
Min length: 1Max length: 256
Option 3
kind *"field_equals"
path *string
Min length: 1Max length: 256
value *object
Option 4
kind *"field_matches"
path *string
Min length: 1Max length: 256
pattern *string
Min length: 1Max length: 512
Option 5
kind *"text_contains"
text *string
Min length: 1Max length: 512
Option 6
kind *"url_matches"
pattern *string
Min length: 1Max length: 512
Option 7
kind *"element_exists"
selector *string
Min length: 1Max length: 512
Option 8
kind *"signed_in"
passed *boolean
trace *object[]
Show item properties
tier *"api" | "webmcp" | "replay" | "dom" | "agent"
ok *boolean
ms *number
note *string
Max length: 300
at *string (date-time)
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
errorCode *stringnull
latencyMs *numbernull
createdAt *string (date-time)
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
finishedAt *string (date-time) | null
nextCursor *string | null
400 · Invalid request
error *object
Show properties
code *"unauthenticated" | "forbidden" | "not_found" | "invalid_request" | "conflict" | "idempotency_mismatch" | "payload_too_large" | "rate_limited" | "policy_denied" | "approval_required" | "payment_required" | "needs_human" | "internal"
message *string
requestId *string
details?object
401 · Missing, malformed, revoked or expired key
error *object
Show properties
code *"unauthenticated" | "forbidden" | "not_found" | "invalid_request" | "conflict" | "idempotency_mismatch" | "payload_too_large" | "rate_limited" | "policy_denied" | "approval_required" | "payment_required" | "needs_human" | "internal"
message *string
requestId *string
details?object
403 · The key lacks the required scope
error *object
Show properties
code *"unauthenticated" | "forbidden" | "not_found" | "invalid_request" | "conflict" | "idempotency_mismatch" | "payload_too_large" | "rate_limited" | "policy_denied" | "approval_required" | "payment_required" | "needs_human" | "internal"
message *string
requestId *string
details?object
429 · Rate limited. See Retry-After
error *object
Show properties
code *"unauthenticated" | "forbidden" | "not_found" | "invalid_request" | "conflict" | "idempotency_mismatch" | "payload_too_large" | "rate_limited" | "policy_denied" | "approval_required" | "payment_required" | "needs_human" | "internal"
message *string
requestId *string
details?object
Request example
curl -X GET "/v1/runs" \ -H "Authorization: Bearer <token>"